<?php

/**
* If you install https://github.com/asimlqt/php-google-spreadsheet-client through composer
* Then you can just do:
* require 'vendor/autoload.php';
*
* If you just download the zip file of https://github.com/asimlqt/php-google-spreadsheet-client
* Then, you need to load the following files:
*
*/
require_once plugin_dir_path(__FILE__).'php-google-spreadsheet-client/src/Google/Spreadsheet/ServiceRequestInterface.php';
require_once plugin_dir_path(__FILE__).'php-google-spreadsheet-client/src/Google/Spreadsheet/DefaultServiceRequest.php';
require_once plugin_dir_path(__FILE__).'php-google-spreadsheet-client/src/Google/Spreadsheet/Exception.php';
require_once plugin_dir_path(__FILE__).'php-google-spreadsheet-client/src/Google/Spreadsheet/UnauthorizedException.php';
require_once plugin_dir_path(__FILE__).'php-google-spreadsheet-client/src/Google/Spreadsheet/ServiceRequestFactory.php';
require_once plugin_dir_path(__FILE__).'php-google-spreadsheet-client/src/Google/Spreadsheet/SpreadsheetService.php';
require_once plugin_dir_path(__FILE__).'php-google-spreadsheet-client/src/Google/Spreadsheet/SpreadsheetFeed.php';
require_once plugin_dir_path(__FILE__).'php-google-spreadsheet-client/src/Google/Spreadsheet/Spreadsheet.php';
require_once plugin_dir_path(__FILE__).'php-google-spreadsheet-client/src/Google/Spreadsheet/WorksheetFeed.php';
require_once plugin_dir_path(__FILE__).'php-google-spreadsheet-client/src/Google/Spreadsheet/Worksheet.php';
require_once plugin_dir_path(__FILE__).'php-google-spreadsheet-client/src/Google/Spreadsheet/ListFeed.php';
require_once plugin_dir_path(__FILE__).'php-google-spreadsheet-client/src/Google/Spreadsheet/ListEntry.php';
require_once plugin_dir_path(__FILE__).'php-google-spreadsheet-client/src/Google/Spreadsheet/CellFeed.php';
require_once plugin_dir_path(__FILE__).'php-google-spreadsheet-client/src/Google/Spreadsheet/CellEntry.php';
require_once plugin_dir_path(__FILE__).'php-google-spreadsheet-client/src/Google/Spreadsheet/Util.php';

/**
* Initialize the service request factory
*/ 

use Google\Spreadsheet\DefaultServiceRequest;
use Google\Spreadsheet\ServiceRequestFactory;


class connect_google {
	

	public function __construct() {
		
	}

	public function add_row($accessToken,$postdata) {
					
					$serviceRequest = new DefaultServiceRequest($accessToken);
					ServiceRequestFactory::setInstance($serviceRequest);
					 
					 
					/**
					 * Get spreadsheet by title
					 */
					$spreadsheetTitle = get_option('cf7_pk_googlesheets_sheetname'); // get spreadsheet name from setting field
					$spreadsheetService = new Google\Spreadsheet\SpreadsheetService();
					$spreadsheetFeed = $spreadsheetService->getSpreadsheets();
					$spreadsheet = $spreadsheetFeed->getByTitle($spreadsheetTitle);
					 
					/**
					 * Get particular worksheet of the selected spreadsheet
					 */
					$worksheetTitle = get_option('cf7_pk_googlesheets_tabname'); // it's generally named 'Sheet1' 
					$worksheetFeed = $spreadsheet->getWorksheets();
					$worksheet = $worksheetFeed->getByTitle($worksheetTitle);
					
					/** 
					 * Add/update headers of worksheet
					 */
					$cellFeed = $worksheet->getCellFeed();
					$i= 1;
					foreach($postdata as $key=>$value){
					  $cellFeed->editCell(1,$i,  $key); // 1st row,  $i=column	
					  $i++;
					}
					 
					 
					/** 
					 * Insert row entries
					 */
					 $listFeed = $worksheet->getListFeed();
					 $listFeed->insert($postdata);
		
	}


}
?>